Parameters
JSON body
Request body
application/jsonendpointstringRequiredPush service endpoint URL.
Length: 10–2000
keysobjectRequiredp256dhstringRequiredLength: 10–200
authstringRequiredLength: 4–100
Store this browser’s push subscription for the signed-in member
JSON body
endpointstringRequiredPush service endpoint URL.
keysobjectRequiredp256dhstringRequiredauthstringRequired1 status code documented
success"true"Required{
"success": true
}POST /bff/web-push/subscribe
curl -X POST "https://api.bizkithub.com/bff/web-push/subscribe" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"endpoint": "example_endpoint",
"keys": {
"p256dh": "example_p256dh",
"auth": "example_auth"
}
}'All BizKitHub public API endpoints require authentication via API key.